Package fr.gouv.vitam.common.database.builder.query

# Class InQuery

java.lang.Object
fr.gouv.vitam.common.database.builder.query.Query
fr.gouv.vitam.common.database.builder.query.InQuery

Direct Known Subclasses:
  `InQuery`

public class InQuery extends Query
In and Nin queries

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Set<Boolean>`
  `booleanVals`
  `protected Set<Double>`
  `doubleVals`
  `protected Set<Long>`
  `longVals`
  `protected Set<String>`
  `stringVals`

  ### Fields inherited from class fr.gouv.vitam.common.database.builder.query.Query

  `currentObject, currentQuery, currentTokenQUERY, DATE, exactdepth, extraInfo, isFullText, ready, relativedepth`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `InQuery()`
  ``
  `InQuery(BuilderToken.QUERY inQuery, String variableName, boolean value)`
  In Query constructor
  ``
  `InQuery(BuilderToken.QUERY inQuery, String variableName, boolean... values)`
  In Query constructor
  ``
  `InQuery(BuilderToken.QUERY inQuery, String variableName, double value)`
  In Query constructor
  ``
  `InQuery(BuilderToken.QUERY inQuery, String variableName, double... values)`
  In Query constructor
  ``
  `InQuery(BuilderToken.QUERY inQuery, String variableName, long value)`
  In Query constructor
  ``
  `InQuery(BuilderToken.QUERY inQuery, String variableName, long... values)`
  In Query constructor
  ``
  `InQuery(BuilderToken.QUERY inQuery, String variableName, String value)`
  In Query constructor
  ``
  `InQuery(BuilderToken.QUERY inQuery, String variableName, String... values)`
  In Query constructor
  ``
  `InQuery(BuilderToken.QUERY inQuery, String variableName, Date value)`
  In Query constructor
  ``
  `InQuery(BuilderToken.QUERY inQuery, String variableName, Date... values)`
  In Query constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final InQuery`
  `add(boolean... inValue)`
  Add an In Value to an existing In Query
  `final InQuery`
  `add(double... inValue)`
  Add an In Value to an existing In Query
  `final InQuery`
  `add(long... inValue)`
  Add an In Value to an existing In Query
  `final InQuery`
  `add(String... inValue)`
  Add an In Value to an existing In Query
  `final InQuery`
  `add(Date... inValue)`
  Add an In Value to an existing In Query
  `void`
  `clean()`
  Clean the object

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.query.Query

  `cleanDepth, createQueryArray, createQueryVariable, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, getCurrentObject, getCurrentQuery, getExtraInfo, getNode, getParserExactdepth, getParserRelativeDepth, getQUERY, isFullText, isReady, setDepthLimit, setExactDepthLimit, setExtraInfo, setFullText, setParserExactdepth, setParserRelativeDepth, setReady, setRelativeDepthLimit, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### booleanVals

    protected Set<Boolean> booleanVals

  - ### longVals

    protected Set<Long> longVals

  - ### doubleVals

    protected Set<Double> doubleVals

  - ### stringVals

    protected Set<String> stringVals

- ## Constructor Details

  - ### InQuery

    protected InQuery()

  - ### InQuery

    public InQuery(BuilderToken.QUERY inQuery, String variableName, long value) throws InvalidCreateOperationException
    In Query constructor
    Parameters:
      `inQuery` - in, nin
      `variableName` - variable Name
      `value` - of variable
    Throws:
      `InvalidCreateOperationException` - when can not create Query

  - ### InQuery

    public InQuery(BuilderToken.QUERY inQuery, String variableName, double value) throws InvalidCreateOperationException
    In Query constructor
    Parameters:
      `inQuery` - in, nin
      `variableName` - variable Name
      `value` - of variable
    Throws:
      `InvalidCreateOperationException` - when can not create Query

  - ### InQuery

    public InQuery(BuilderToken.QUERY inQuery, String variableName, String value) throws InvalidCreateOperationException
    In Query constructor
    Parameters:
      `inQuery` - in, nin
      `variableName` - variable Name
      `value` - of variable
    Throws:
      `InvalidCreateOperationException` - when can not create Query

  - ### InQuery

    public InQuery(BuilderToken.QUERY inQuery, String variableName, Date value) throws InvalidCreateOperationException
    In Query constructor
    Parameters:
      `inQuery` - in, nin
      `variableName` - variable Name
      `value` - of variable
    Throws:
      `InvalidCreateOperationException` - when can not create Query

  - ### InQuery

    public InQuery(BuilderToken.QUERY inQuery, String variableName, boolean value) throws InvalidCreateOperationException
    In Query constructor
    Parameters:
      `inQuery` - in, nin
      `variableName` - variable Name
      `value` - of variable
    Throws:
      `InvalidCreateOperationException` - when can not create Query

  - ### InQuery

    public InQuery(BuilderToken.QUERY inQuery, String variableName, String... values) throws InvalidCreateOperationException
    In Query constructor
    Parameters:
      `inQuery` - in, nin
      `variableName` - variable Name
      `values` - of variable
    Throws:
      `InvalidCreateOperationException` - when can not create Query

  - ### InQuery

    public InQuery(BuilderToken.QUERY inQuery, String variableName, Date... values) throws InvalidCreateOperationException
    In Query constructor
    Parameters:
      `inQuery` - in, nin
      `variableName` - variable Name
      `values` - of variable
    Throws:
      `InvalidCreateOperationException` - when can not create Query

  - ### InQuery

    public InQuery(BuilderToken.QUERY inQuery, String variableName, long... values) throws InvalidCreateOperationException
    In Query constructor
    Parameters:
      `inQuery` - in, nin
      `variableName` - variable Name
      `values` - of variable
    Throws:
      `InvalidCreateOperationException` - when can not create Query

  - ### InQuery

    public InQuery(BuilderToken.QUERY inQuery, String variableName, double... values) throws InvalidCreateOperationException
    In Query constructor
    Parameters:
      `inQuery` - in, nin
      `variableName` - variable Name
      `values` - of variable
    Throws:
      `InvalidCreateOperationException` - when can not create Query

  - ### InQuery

    public InQuery(BuilderToken.QUERY inQuery, String variableName, boolean... values) throws InvalidCreateOperationException
    In Query constructor
    Parameters:
      `inQuery` - in, nin
      `variableName` - variable Name
      `values` - of variable
    Throws:
      `InvalidCreateOperationException` - when can not create Query

- ## Method Details

  - ### clean

    public void clean()
    Description copied from class: `Query`
    Clean the object
    Overrides:
      `clean` in class `Query`

  - ### add

    public final InQuery add(String... inValue) throws InvalidCreateOperationException
    Add an In Value to an existing In Query
    Parameters:
      `inValue` - value of variable
    Returns:
      the InQuery
    Throws:
      `InvalidCreateOperationException` - when can not add value

  - ### add

    public final InQuery add(Date... inValue) throws InvalidCreateOperationException
    Add an In Value to an existing In Query
    Parameters:
      `inValue` - value of variable
    Returns:
      the InQuery
    Throws:
      `InvalidCreateOperationException` - when can not add value

  - ### add

    public final InQuery add(long... inValue) throws InvalidCreateOperationException
    Add an In Value to an existing In Query
    Parameters:
      `inValue` - value of variable
    Returns:
      the InQuery
    Throws:
      `InvalidCreateOperationException` - when can not add value

  - ### add

    public final InQuery add(double... inValue) throws InvalidCreateOperationException
    Add an In Value to an existing In Query
    Parameters:
      `inValue` - value of variable
    Returns:
      the InQuery
    Throws:
      `InvalidCreateOperationException` - when can not add value

  - ### add

    public final InQuery add(boolean... inValue) throws InvalidCreateOperationException
    Add an In Value to an existing In Query
    Parameters:
      `inValue` - value of variable
    Returns:
      the InQuery
    Throws:
      `InvalidCreateOperationException` - when can not add value